package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行业对象 mall_industry
 *
 * @author LCL
 * @date 2023-10-20
 */
public class MallIndustry extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 行业主键ID */
    private Long industryId;

    /** 等级 */
    @Excel(name = "等级")
    private Integer level;

    /** 图标 */
    @Excel(name = "图标")
    private String icon;

    /** 行业名称 */
    @Excel(name = "行业名称")
    private String industryName;

    /** 行业标签 */
    @Excel(name = "行业标签")
    private String industryTag;

    /** 行业简介 */
    @Excel(name = "行业简介")
    private String industrySynopsis;

    /** 行业介绍 */
    @Excel(name = "行业介绍")
    private String industryIntroduce;

    /** 行业分类id */
    private Long industryClass;

    /** 行业分类*/
    @Excel(name = "行业分类")
    private String industryClassName;


    /** 是否展示：0-展示，1-不展示 */
    @Excel(name = "是否展示：0-展示，1-不展示")
    private String isShow;

    /** 状态:：0-启用，1-不启用 */
    @Excel(name = "状态:：0-启用，1-不启用")
    private String status;

    /** 排序 */
    @Excel(name = "排序")
    private Long sort;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    private Long[] careerList;

    /** 职业ID集合 */
    public Long[] getCareerList() {
        return careerList;
    }

    public void setCareerList(Long[] careerList) {
        this.careerList = careerList;
    }

    public void setIndustryId(Long industryId)
    {
        this.industryId = industryId;
    }

    public Long getIndustryId()
    {
        return industryId;
    }
    public void setLevel(Integer level)
    {
        this.level = level;
    }

    public Integer getLevel()
    {
        return level;
    }
    public void setIcon(String icon)
    {
        this.icon = icon;
    }

    public String getIcon()
    {
        return icon;
    }
    public void setIndustryName(String industryName)
    {
        this.industryName = industryName;
    }

    public String getIndustryName()
    {
        return industryName;
    }
    public void setIndustryTag(String industryTag)
    {
        this.industryTag = industryTag;
    }

    public String getIndustryTag()
    {
        return industryTag;
    }
    public void setIndustrySynopsis(String industrySynopsis)
    {
        this.industrySynopsis = industrySynopsis;
    }

    public String getIndustrySynopsis()
    {
        return industrySynopsis;
    }
    public void setIndustryIntroduce(String industryIntroduce)
    {
        this.industryIntroduce = industryIntroduce;
    }

    public String getIndustryIntroduce()
    {
        return industryIntroduce;
    }
    public void setIsShow(String isShow)
    {
        this.isShow = isShow;
    }

    public String getIsShow()
    {
        return isShow;
    }
    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public Long getIndustryClass() {
        return industryClass;
    }

    public void setIndustryClass(Long industryClass) {
        this.industryClass = industryClass;
    }

    public String getIndustryClassName() {
        return industryClassName;
    }

    public void setIndustryClassName(String industryClassName) {
        this.industryClassName = industryClassName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("industryId", getIndustryId())
            .append("level", getLevel())
            .append("icon", getIcon())
            .append("industryName", getIndustryName())
            .append("industryTag", getIndustryTag())
            .append("industrySynopsis", getIndustrySynopsis())
            .append("industryIntroduce", getIndustryIntroduce())
            .append("isShow", getIsShow())
            .append("status", getStatus())
            .append("sort", getSort())
            .append("remarks", getRemarks())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
